### Method

# Gegl Pathclosest_point

#### Declaration [src]

    gdouble
    gegl_path_closest_point (
      GeglPath* path,
      gdouble x,
      gdouble y,
      gdouble* on_path_x,
      gdouble* on_path_y,
      gint* node_pos_before
    )

#### Description [src]

Figure out what and where on a path is closest to arbitrary coordinates.

Returns the length along the path where the closest point was encountered.

#### Parameters

`x`

  Type: `gdouble`

  X coordinate.

`y`

  Type: `gdouble`

  Y coordinate.

`on_path_x`

  Type: `gdouble*`

  Return location for x coordinate on the path that was closest.

  The argument will be set by the function.

`on_path_y`

  Type: `gdouble*`

  Return location for y coordinate on the path that was closest.

  The argument will be set by the function.

`node_pos_before`

  Type: `gint*`

  The node position interpreted before this position was deemed the closest coordinate.

  The argument will be set by the function.

#### Return value

Type: `gdouble`

No description available.